c 
c This evaluates the inverse function u(x) of
c u logu = x
c
      real*16 function quofx(x)
      real*16 x,x1,u1,u0
      if(x.le.1.q1) then
        u1=1.0125q0+8.577q-1*x-1.29013q-1*x**2+
     *  2.08645q-2*x**3-1.76148q-3*x**4+5.7941q-5*x**5
      else
        x1=qlog(x)
        u1=(x/x1)/(1.q0-qlog(x1)/(1.q0+x1))
      end if
      do 10 n=1,5
        u0=u1
        u1=(u0+x)/(1.q0+qlog(u0))
   10 continue
      quofx=u1
      return
      end
